from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComMedFuncValuation(UltmarcTable):
    """レイアウト区分024: COM_医療機器評価"""
    maint_flag: str                 # 修正区分
    med_func_valuation_cd: str      # 医療機器評価コード
    med_func_valuation_name: str    # 医療機器評価名称（漢字）

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.maint_flag = record[2]
        self.med_func_valuation_cd = record[1]
        self.med_func_valuation_name = record[5]
